# coding: utf-8
$:.push File.expand_path("../lib", __FILE__)

require 'roadsign/version'

Gem::Specification.new do |spec|
  spec.name          = "roadsign"
  spec.version       = Roadsign::VERSION
  spec.authors       = ["Gokay Kucuk"]
  spec.email         = ["m@gokaykucuk.com"]

  spec.summary       = "Roadsign is a simple library for generating routes.rb documentation."
  spec.homepage      = "https://github.com/gkaykck/roadsign"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  #if spec.respond_to?(:metadata)
  #  spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  #else
  #  raise "RubyGems 2.0 or newer is required to protect against " \
  #    "public gem pushes."
  #end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_dependency 'rails','~> 5.0.2'

  spec.add_runtime_dependency "confluence-api-client" , "~> 0"
  spec.add_runtime_dependency "rails-erd", "~> 1.5.0"
  spec.add_runtime_dependency "redcarpet","~> 2.3.0"
end
